org.keycloak.subsystem.extension

## Class KeycloakDependencyProcessor

- java.lang.Object
- - org.keycloak.subsystem.extension.KeycloakDependencyProcessor

- All Implemented Interfaces:
    org.jboss.as.server.deployment.DeploymentUnitProcessor
  Direct Known Subclasses:
    KeycloakDependencyProcessorAS7, KeycloakDependencyProcessorWildFly

      public abstract class KeycloakDependencyProcessor
      extends Object
      implements org.jboss.as.server.deployment.DeploymentUnitProcessor

  Author:
    Stan Silvert ssilvert@redhat.com (C) 2013 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakDependencyProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `addPlatformSpecificModules(org.jboss.as.server.deployment.module.ModuleSpecification moduleSpecification, org.jboss.modules.ModuleLoader moduleLoader)`
    `void` | `deploy(org.jboss.as.server.deployment.DeploymentPhaseContext phaseContext)`
    `void` | `undeploy(org.jboss.as.server.deployment.DeploymentUnit du)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeycloakDependencyProcessor

          public KeycloakDependencyProcessor()

  - ### Method Detail

    - #### deploy

          public void deploy(org.jboss.as.server.deployment.DeploymentPhaseContext phaseContext)
                      throws org.jboss.as.server.deployment.DeploymentUnitProcessingException

      Specified by:
        `deploy` in interface `org.jboss.as.server.deployment.DeploymentUnitProcessor`
      Throws:
        `org.jboss.as.server.deployment.DeploymentUnitProcessingException`

    - #### addPlatformSpecificModules

          protected abstract void addPlatformSpecificModules(org.jboss.as.server.deployment.module.ModuleSpecification moduleSpecification,
                                        org.jboss.modules.ModuleLoader moduleLoader)

    - #### undeploy

          public void undeploy(org.jboss.as.server.deployment.DeploymentUnit du)

      Specified by:
        `undeploy` in interface `org.jboss.as.server.deployment.DeploymentUnitProcessor`

Copyright © 2014. All Rights Reserved.